unit frmMain;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, VCLTee.TeEngine,
  Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart, VCLTee.Series;

type
  TForm2 = class(TForm)
    Chart1: TChart;
    CheckBox1: TCheckBox;
    Series1: TLineSeries;
    Series2: TLineSeries;
    Series3: TLineSeries;
    procedure FormCreate(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}


procedure TForm2.CheckBox1Click(Sender: TObject);
begin
  if CheckBox1.Checked then
    Chart1.Legend.LegendStyle := lsLastValues
  else
    Chart1.Legend.LegendStyle := lsSeries;
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
  Series1.FillSampleValues();
  Series2.FillSampleValues();
  Series3.FillSampleValues();
  Chart1.Legend.Visible := True;
  Chart1.Legend.LegendStyle := lsAuto;
end;

end.
